﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CD14Roma_EF.Models
{
    public class SessionModel
    {
        public SessionModel()
        {
            Enrollments = new List<EnrollmentModel>();
            Speaker = new SpeakerModel();
            Argument = new ArgumentModel();
        }

        public int Id { get; set; }
        public string Title { get; set; }
        public DateTime StartAt { get; set; }
        public Double Duration { get; set; }
        public string Description { get; set; }

        public SpeakerModel Speaker { get; set; }
        public ArgumentModel Argument { get; set; }

        public ICollection<EnrollmentModel> Enrollments { get; set; }
    }
}
