﻿using CD14Roma_EF.Data;
using CD14Roma_EF.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using System.Web.Http.OData;

namespace CD14Roma_OData.Controllers
{
    public class SpeakersController : EntitySetController<SpeakerModel, int>
    {
        private ApplicationDbContext _db = new ApplicationDbContext();

        [EnableQuery(PageSize = 10)]
        public override IQueryable<SpeakerModel> Get()
        {
            return _db.Speakers.AsQueryable();
        }

        protected override SpeakerModel GetEntityByKey(int key)
        {
            return _db.Speakers.Find(key);
        }
    }
}
