﻿using CD14Roma_EF.Data;
using CD14Roma_EF.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using System.Web.Http.OData;

namespace CD14Roma_OData.Controllers
{
    public class ArgumentsController : EntitySetController<ArgumentModel, int>
    {
        private ApplicationDbContext _db = new ApplicationDbContext();

        [EnableQuery(PageSize = 10)]
        public override IQueryable<ArgumentModel> Get()
        {
            return _db.Arguments;
        }

        protected override ArgumentModel GetEntityByKey(int key)
        {
            return _db.Arguments.Find(key);
        }

        protected override int GetKey(ArgumentModel entity)
        {
            return entity.Id;
        }

        protected override ArgumentModel CreateEntity(ArgumentModel entity)
        {
            _db.Arguments.Add(entity);
            _db.SaveChanges();
            return entity;
        }
    }
}
