﻿using CD14Roma_EF.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CD14Roma_WebAPI.ViewModels
{
    public class SpeakerViewModel
    {
        [Required]
        public string FirstName { get; set; }
        [Required]
        public string LastName { get; set; }

        public SpeakerViewModel() { }
        public SpeakerViewModel(SpeakerModel model)
        {
            FirstName = model.FirstName;
            LastName = model.LastName;
        }

        public SpeakerModel ToModel(int id = 0)
        {
            return new SpeakerModel
            {
                Id = id,
                FirstName = this.FirstName,
                LastName = this.LastName
            };
        }
    }
}